Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Google continues extensions Manifest v3 push even though some APIs are not ready yet
#1
Information 
Quote:Remember when Mozilla switched to WebExtensions? Back then, developers had to port their extensions to the new extensions system for them to remain compatibility with Firefox. Mozilla did not release major APIs immediately, and some extension developers were blocked from porting their extensions in time, or releasing them with reduced functionality.

[Image: google-chrome-proxy-extensions.png]

Now Google extension developers are in a similar position. Come January 2023, Chrome will only support extensions that are designed using Manifest v3. While there will be an Enterprise policy to delay this by six months, most Chrome users will encounter only Manifest v3 extensions from January 2023 on.

Older extensions, those using Manifest v2, won't be offered in the Chrome Web Store anymore and they can't be updated. Chrome won't accept these either, and there is a chance that many users will have some of their extensions disabled by the browser automatically.

If that is not bad enough, extension developers face issues that are very similar to what Firefox extension developers faced a few years ago. Some of the promised APIs are not available yet, and with the January 2023 deadline approaching fast, some could not even begin the porting.

There are numerous examples available. This bug on Chromium highlights that an essential API for proxy extensions is not yet available. Opened in 2020, it received a high number of stars to get the attention of Google. Only today, on September 20, did a Chromium project member respond stating that Google was hoping to resolve the issue before January 2023.

While that may be the case, extension developers need time to develop and test the new Manifest v3 version of extensions before they upload it to the Chrome Web Store.

Similarly, extensions that provide user script functionality, face similar issues, as Google is scrambling to get supported added to Chrome so that developers may start developing and testing their Manifest v3 extensions.

Content blocking is limited as well in Manifest v3, but that is by design. There will be content blocking extensions, but they are limited by several factors.

Closing Words

If Google is not delaying the move to make Chrome Manifest v3 compatible only, it is very likely that some extensions won't be ready in January 2023 due to a lack of available APIs and information provided by Google.

The number of  users who will will be affected by this is unclear, but some of the proxy extensions have millions of users. It will be interesting to see whether Google is going to extend the January 2023 deadline as it approaches, or is going to stick with it.

Now You: do you use extensions? Any affected by the move to Manifest v3?
...
Continue Reading
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)
[-]
Welcome
You have to register before you can post on our site.

Username/Email:


Password:





[-]
Recent Posts
Audacity 3.2.2
Changes in 3.2.2: ...harlan4096 — 06:56
AVG Anti-Virus / Internet Security 22.12...
AVG Anti-Virus / I...harlan4096 — 06:55
Avast Antivirus 22.12.7758
Avast Antivirus 22...harlan4096 — 06:54
Kaspersky\VPN\KSOS 21.9.3.320 beta
A new beta build i...harlan4096 — 06:30
ChatGPT: What is all the fuss about?
Add ChatGPT answers ...harlan4096 — 06:27

[-]
Birthdays
Today's Birthdays
No birthdays today.
Upcoming Birthdays
avatar (40)ivyhuv
avatar (38)Enlargedterrestrial20

[-]
Online Staff
There are no staff members currently online.

>